Bug 93696 - Row Break Across Pages and Columns menu entry doesnt work correctly
Summary: Row Break Across Pages and Columns menu entry doesnt work correctly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables Writer-Page-Break
  Show dependency treegraph
 
Reported: 2015-08-27 02:45 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-06-15 02:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (44.20 KB, image/png)
2015-09-12 15:49 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-08-27 02:45:14 UTC
Steps:
1) Open Writer
2) Insert table
3) Activate Table > Break Across Pages and Columns or alternatively Table > Autofit > Allow Row to Break Across Pages and Columns
4) Table > Table Properties > Text Flow
5) Notice that Allow row to break across pages and columns isnt fully unchecked

Version: 5.1.0.0.alpha1+
Build ID: b712b1f63492a311e4a51cffd516b3e202a140e6
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-08-23_06:03:52
Locale: en-US (en_US.UTF-8)
Comment 1 Buovjaga 2015-09-12 14:38:21 UTC
Step 3 should read deactivate.
Reproduced. The checkmark is greyed out.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 2 Yousuf Philips (jay) (retired) 2015-09-12 15:49:18 UTC
Created attachment 118641 [details]
screenshot

(In reply to Beluga from comment #1)
> Step 3 should read deactivate.

Yes that is correct, it should have been. :)
Comment 3 QA Administrators 2016-09-20 10:31:59 UTC Comment hidden (obsolete)
Comment 4 Mike Kaganski 2016-12-06 18:10:09 UTC
This is not a bug. The functionality works as intended.

The problem is the wording. The current menu item "Table->Break Across Pages" is per-row setting. It sets/removes the setting for current row only.

The "Table Format" dialog works in slightly different way. When there's no cell selected in current table (i.e. the only text is selected, not whole cells), then the dialog shows this setting for whole table; otherwise it shows the setting for selected rows. If the selection (or whole table) contains rows with different setting, then the checkbox is in "undefined" state.

See also bug 104443.
Comment 5 Yousuf Philips (jay) (retired) 2017-05-02 19:07:20 UTC
(In reply to Mike Kaganski from comment #4)
> This is not a bug. The functionality works as intended.
> 
> The problem is the wording. The current menu item "Table->Break Across
> Pages" is per-row setting. It sets/removes the setting for current row only.

I guess the old wording of 'Allow Row to Break Across Pages and Columns' was the correct labelling then.

> The "Table Format" dialog works in slightly different way. When there's no
> cell selected in current table (i.e. the only text is selected, not whole
> cells), then the dialog shows this setting for whole table; otherwise it
> shows the setting for selected rows. If the selection (or whole table)
> contains rows with different setting, then the checkbox is in "undefined"
> state.

As the UNO command is only a per-row setting, do we have an UNO command that works at the table level to set this feature, as that is what we need in the menu and not the current per row option?
Comment 6 QA Administrators 2018-06-15 02:45:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug